const React = require('react');
const createReactClass = require('create-react-class');

module.exports = {
  arraySample: createReactClass({
    render: function () {
      return (
        <ul>
          <for item="item" index="index" of={ this.props.items }>
            <li>{ index }: { item.name }</li>
            <for item="subItem" index="i" of={ item.list }>
              <span>{ subItem && subItem.name }</span>
            </for>
          </for>
        </ul>
      );
    }
  }),
  objectSample: createReactClass({
    render: function () {
      return (
        <ul>
          <for keyItem="key" index="i" of={ this.props.items }>
            <li>{key + ': '}{ this.props.items[key] }</li>
          </for>
        </ul>
      );
    }
  })
}